jMonkeyEngine 3 SDK Alpha-2 Released

http://jmonkeyengine.com/blog/blog/2010/08/29/jmonkeyengine-3-sdk-alpha-2-released/



Bam!

Congratulations with the new release.  :slight_smile:



I'm downloading it now.



Personally I'm very happy that you added the linking feature to the Scene Composer. Big thanks from me.  :slight_smile:

Man, the music on that YouTube video is FUNKY :mrgreen:



I've gotta find an excuse to start using jME3 :slight_smile:

can't install…

here's the log…


executing command: /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/bin/unpack200 jmonkeyplatform.app/Contents/Resources/jmonkeyplatform/jmonkeyplatform/modules/locale/org-netbeans-modules-java-j2seproject_jmonkeyplatform.jar.pack.gz jmonkeyplatform.app/Contents/Resources/jmonkeyplatform/jmonkeyplatform/modules/locale/org-netbeans-modules-java-j2seproject_jmonkeyplatform.jar, in directory: .
[2010-08-30 09:26:38.535]:             [stdout]: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-08-30 09:26:38.536]:             [stdout]:
[2010-08-30 09:26:38.536]:             [return]: 255
[2010-08-30 09:26:38.536]:         ... command execution finished
[2010-08-30 09:26:38.537]:         org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for jMonkeyPlatform
[2010-08-30 09:26:38.537]:            at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2010-08-30 09:26:38.537]:            at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2010-08-30 09:26:38.537]:            at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2010-08-30 09:26:38.537]:         Caused by: java.io.IOException: Unpack200 finished with error
[2010-08-30 09:26:38.538]:         Error code: 255
[2010-08-30 09:26:38.538]:         Stdout: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-08-30 09:26:38.538]:        
[2010-08-30 09:26:38.538]:        
[2010-08-30 09:26:38.538]:         Stderr:
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1236)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1776)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1696)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1063)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2010-08-30 09:26:38.538]:            ... 2 more
[2010-08-30 09:26:38.540]:         Start rollback of jMonkeyPlatform(jmonkeyplatform/0.6.1.0.0)
[2010-08-30 09:26:38.543]:             ... deleting installed files
[2010-08-30 09:26:38.543]:             deleting file: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/Resources/icon.icns
[2010-08-30 09:26:38.544]:             deleting file: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/MacOS/executable
[2010-08-30 09:26:38.545]:             deleting file: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/Info.plist
[2010-08-30 09:26:38.545]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/Resources
[2010-08-30 09:26:38.546]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/MacOS
[2010-08-30 09:26:38.546]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents
[2010-08-30 09:26:38.546]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app
[2010-08-30 09:26:38.547]:         ... finished rollbacking of jMonkeyPlatform(jmonkeyplatform/0.6.1.0.0)
[2010-08-30 09:26:38.547]:         org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for jMonkeyPlatform
[2010-08-30 09:26:38.547]:            at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2010-08-30 09:26:38.547]:            at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2010-08-30 09:26:38.547]:            at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2010-08-30 09:26:38.547]:         Caused by: java.io.IOException: Unpack200 finished with error
[2010-08-30 09:26:38.547]:         Error code: 255
[2010-08-30 09:26:38.548]:         Stdout: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-08-30 09:26:38.548]:        
[2010-08-30 09:26:38.548]:        
[2010-08-30 09:26:38.548]:         Stderr:
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1236)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1776)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1696)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1063)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2010-08-30 09:26:38.548]:            ... 2 more
[2010-08-30 09:26:38.548]:     ... finished products installation
 


Congratulations!





It has been an smooth install process in my Ubuntu laptop. It didn't show any conflict with the previos alpha 1 preferences either when I started the app.





However, I have found a dependency problem when trying to install the GLSL editor plugin:


Some plugins require plugin Editor Library to be installed.
The plugin Editor Library is requested in version >= 1.27 (release version 1) but only 2.10.2.10.2 (of release version different from 1) was found.  The following plugin is affected:       Generic Languages Framework - Refactorings



That version number looks suspicious.



Anyways, a big thanks from this newcomer (long time lurker though). I am greatly impressed by JME3 so far (been playing all the summer with it).
ncomp said:

can't install...
here's the log...


executing command: /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/bin/unpack200 jmonkeyplatform.app/Contents/Resources/jmonkeyplatform/jmonkeyplatform/modules/locale/org-netbeans-modules-java-j2seproject_jmonkeyplatform.jar.pack.gz jmonkeyplatform.app/Contents/Resources/jmonkeyplatform/jmonkeyplatform/modules/locale/org-netbeans-modules-java-j2seproject_jmonkeyplatform.jar, in directory: .
[2010-08-30 09:26:38.535]:             [stdout]: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-08-30 09:26:38.536]:             [stdout]:
[2010-08-30 09:26:38.536]:             [return]: 255
[2010-08-30 09:26:38.536]:         ... command execution finished
[2010-08-30 09:26:38.537]:         org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for jMonkeyPlatform
[2010-08-30 09:26:38.537]:            at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2010-08-30 09:26:38.537]:            at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2010-08-30 09:26:38.537]:            at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2010-08-30 09:26:38.537]:         Caused by: java.io.IOException: Unpack200 finished with error
[2010-08-30 09:26:38.538]:         Error code: 255
[2010-08-30 09:26:38.538]:         Stdout: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-08-30 09:26:38.538]:         
[2010-08-30 09:26:38.538]:         
[2010-08-30 09:26:38.538]:         Stderr:
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1236)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1776)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1696)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1063)
[2010-08-30 09:26:38.538]:            at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2010-08-30 09:26:38.538]:            ... 2 more
[2010-08-30 09:26:38.540]:         Start rollback of jMonkeyPlatform(jmonkeyplatform/0.6.1.0.0)
[2010-08-30 09:26:38.543]:             ... deleting installed files
[2010-08-30 09:26:38.543]:             deleting file: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/Resources/icon.icns
[2010-08-30 09:26:38.544]:             deleting file: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/MacOS/executable
[2010-08-30 09:26:38.545]:             deleting file: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/Info.plist
[2010-08-30 09:26:38.545]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/Resources
[2010-08-30 09:26:38.546]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents/MacOS
[2010-08-30 09:26:38.546]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app/Contents
[2010-08-30 09:26:38.546]:             deleting directory: /Users/noellynch/code/applications/dev/jmonkeyplatform.app
[2010-08-30 09:26:38.547]:         ... finished rollbacking of jMonkeyPlatform(jmonkeyplatform/0.6.1.0.0)
[2010-08-30 09:26:38.547]:         org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for jMonkeyPlatform
[2010-08-30 09:26:38.547]:            at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2010-08-30 09:26:38.547]:            at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2010-08-30 09:26:38.547]:            at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2010-08-30 09:26:38.547]:         Caused by: java.io.IOException: Unpack200 finished with error
[2010-08-30 09:26:38.547]:         Error code: 255
[2010-08-30 09:26:38.548]:         Stdout: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-08-30 09:26:38.548]:         
[2010-08-30 09:26:38.548]:         
[2010-08-30 09:26:38.548]:         Stderr:
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1236)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1776)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1696)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1063)
[2010-08-30 09:26:38.548]:            at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2010-08-30 09:26:38.548]:            ... 2 more
[2010-08-30 09:26:38.548]:     ... finished products installation
 




Is this a PPC Mac?

nope…

it's a 64 bit intel…

running leopard though so maybe that might be it…

I have downloaded the Windows version, but my virusscanner (Norton Internet Security 2010) says it contains the virus "WS.Reputation.1".



I'm very happy that the virusscanner has placed the installer in quarantaine.

maybe a false positive ?

http://community.norton.com/t5/Norton-Internet-Security-Norton/What-is-WS-Reputation-1/td-p/228251/highlight/true



Avast does not complains

Thanks for the link. Maybe it's a Norton specific problem then.



Edit:

I have scanned the installer manually and all seems ok. I have installed the new jMonkeyPlatform.

With the community's help we might get listed on Slashdot:

ncomp said:

nope...
it's a 64 bit intel...
running leopard though so maybe that might be it...

I was wondering because it runs Java 1.5. For 64bit Intel there should be a Java 1.6 version even on Leopard.. What version of Leopard exactly are you using?

i'm on 10.5.8

java version 1.6.0_20

ncomp said:

i'm on 10.5.8
java version 1.6.0_20

Okay, I have to check why the installer uses Java1.5 then.. Actually I should try and make the installer compatible to Java 1.5 too :) Its planned to be but apparently the pack200 compression is done for Java 1.6..

I totally forgot to mention that jMP alpha-2 also introduces the “jMonkeyPlatform User Contributions” update center.

If you go to “Tools”->“Plugins”->“Available Plugins” you can install some new plugins to jMP that are not part of the core jMP but have been contributed by users or are packaged from external libraries/projects.

Cheers,

Normen

normen said:

http://jmonkeyengine.com/blog/blog/2010/08/29/jmonkeyengine-3-sdk-alpha-2-released/

Bam!


Normen I think your signature is a little outdated now.  ;)
SomethingNew said:

Normen I think your signature is a little outdated now.  ;)

Aaah, thanks ;)

The installer also fails for me with the InstallationException.



> java -version

java version "1.6.0_20"

Java™ SE Runtime Environment (build 1.6.0_20-b02-279-9M3165)

Java HotSpot™ 64-Bit Server VM (build 16.3-b01-279, mixed mode)



> uname -a

Darwin blackflag.local 9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386 i386

uzudil said:

The installer also fails for me with the InstallationException.

What exception exactly are you talking about?

Sorry I saw someplace that mac users had problems with the latest installer; it must have been a different thread. Here is the exception:



[2010-09-06 13:00:20.622]:         executing command: /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/bin/unpack200 /Applications/jmonkeyplatform.app/Contents/Resources/jmonkeyplatform/jmonkeyplatform/modules/locale/org-netbeans-modules-java-j2seproject_jmonkeyplatform.jar.pack.gz /Applications/jmonkeyplatform.app/Contents/Resources/jmonkeyplatform/jmonkeyplatform/modules/locale/org-netbeans-modules-java-j2seproject_jmonkeyplatform.jar, in directory: .
[2010-09-06 13:00:20.683]:             [stdout]: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-09-06 13:00:20.683]:             [stdout]:
[2010-09-06 13:00:20.684]:             [return]: 255
[2010-09-06 13:00:20.684]:         ... command execution finished
[2010-09-06 13:00:20.689]:         org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for jMonkeyPlatform
[2010-09-06 13:00:20.689]:            at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2010-09-06 13:00:20.689]:            at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2010-09-06 13:00:20.689]:            at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2010-09-06 13:00:20.689]:         Caused by: java.io.IOException: Unpack200 finished with error
[2010-09-06 13:00:20.689]:         Error code: 255
[2010-09-06 13:00:20.690]:         Stdout: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-09-06 13:00:20.690]:        
[2010-09-06 13:00:20.690]:        
[2010-09-06 13:00:20.690]:         Stderr:
[2010-09-06 13:00:20.690]:            at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1236)
[2010-09-06 13:00:20.690]:            at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1776)
[2010-09-06 13:00:20.690]:            at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1696)
[2010-09-06 13:00:20.690]:            at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1063)
[2010-09-06 13:00:20.690]:            at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2010-09-06 13:00:20.690]:            ... 2 more
[2010-09-06 13:00:20.692]:         Start rollback of jMonkeyPlatform(jmonkeyplatform/0.6.1.0.0)
[2010-09-06 13:00:20.696]:             ... deleting installed files
[2010-09-06 13:00:20.697]:             deleting file: /Applications/jmonkeyplatform.app/Contents/Resources/icon.icns
[2010-09-06 13:00:20.698]:             deleting file: /Applications/jmonkeyplatform.app/Contents/MacOS/executable
[2010-09-06 13:00:20.699]:             deleting file: /Applications/jmonkeyplatform.app/Contents/Info.plist
[2010-09-06 13:00:20.699]:             deleting directory: /Applications/jmonkeyplatform.app/Contents/Resources
[2010-09-06 13:00:20.700]:             deleting directory: /Applications/jmonkeyplatform.app/Contents/MacOS
[2010-09-06 13:00:20.701]:             deleting directory: /Applications/jmonkeyplatform.app/Contents
[2010-09-06 13:00:20.701]:             deleting directory: /Applications/jmonkeyplatform.app
[2010-09-06 13:00:20.702]:         ... finished rollbacking of jMonkeyPlatform(jmonkeyplatform/0.6.1.0.0)
[2010-09-06 13:00:20.702]:         org.netbeans.installer.utils.exceptions.InstallationException: Cannot extract installation data for jMonkeyPlatform
[2010-09-06 13:00:20.702]:            at org.netbeans.installer.product.components.Product.install(Product.java:305)
[2010-09-06 13:00:20.702]:            at org.netbeans.installer.wizard.components.actions.InstallAction.execute(InstallAction.java:155)
[2010-09-06 13:00:20.702]:            at org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:123)
[2010-09-06 13:00:20.702]:         Caused by: java.io.IOException: Unpack200 finished with error
[2010-09-06 13:00:20.702]:         Error code: 255
[2010-09-06 13:00:20.702]:         Stdout: Corrupted pack file: magic/ver = CAFED00D/160.1 should be CAFED00D/150.7
[2010-09-06 13:00:20.703]:        
[2010-09-06 13:00:20.703]:        
[2010-09-06 13:00:20.703]:         Stderr:
[2010-09-06 13:00:20.703]:            at org.netbeans.installer.utils.FileUtils.unpack(FileUtils.java:1236)
[2010-09-06 13:00:20.703]:            at org.netbeans.installer.utils.FileUtils.extractByList(FileUtils.java:1776)
[2010-09-06 13:00:20.703]:            at org.netbeans.installer.utils.FileUtils.extractAll(FileUtils.java:1696)
[2010-09-06 13:00:20.703]:            at org.netbeans.installer.utils.FileUtils.unjar(FileUtils.java:1063)
[2010-09-06 13:00:20.703]:            at org.netbeans.installer.product.components.Product.install(Product.java:295)
[2010-09-06 13:00:20.703]:            ... 2 more



Looks like it's using the wrong jvm?